Package org.eclipse.jface.text.source

## Interface ISourceViewerExtension4

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`

    public interface ISourceViewerExtension4

Extension interface for `ISourceViewer`.

It introduces API to access a minimal set of content assistant APIs.

Since:
  3.4
See Also:
  `IContentAssistant`

### Method Summary

All Methods Instance Methods Abstract Methods
`ContentAssistantFacade` `getContentAssistantFacade()` Returns a facade for this viewer's content assistant.

### Method Detail

#### getContentAssistantFacade

    ContentAssistantFacade getContentAssistantFacade()

Returns a facade for this viewer's content assistant.

Returns:
  a content assistant facade or `null` if none is configured